Get organization invitation
- GET /organizations/invitations/{invitation_token}
Gets a single invitation to an organization by token. Currently unavailable in self-hosted ECE.
Path Parameters
-
invitation_tokenstringrequired -
Organization invitation token
Responses
Organization invitation fetched successfully
-
tokenstringrequired -
The token used to accept the invitation
-
emailstringrequired -
The email address to invite to the organization
-
created_atstringrequired -
The date and time when the invitation was created
-
expires_atstringrequired -
The date and time when the invitation expires
-
expiredbooleanrequired -
True if the invitation is expired
-
accepted_atstring -
The date and time when the invitation was accepted
-
organizationOrganizationrequired -
An organization
-
idstringrequired -
The organization's identifier
-
namestringrequired -
The organization's friendly name
-
default_disk_usage_alerts_enabledboolean -
Whether the default disk alerts are enabled
-
notifications_allowed_email_domainsstring -
The list of allowed domains for notification-email recipients
-
billing_contactsstring -
The list of contacts for billing notifications, if specified
-
operational_contactsstring -
The list of contacts for operational notifications, if specified
-
sso_login_identifierstring -
The login identifier for initiating SSO
-
role_assignmentsRoleAssignments -
Roles assigned to users, API keys or organization invitations. Currently unavailable in self-hosted ECE.
-
platformPlatformRoleAssignment -
Assignments for roles with platform scope.
-
role_idstringrequired -
The ID of the role that is assigned.
-
organizationOrganizationRoleAssignment -
Assignments for roles with organization scope.
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to a deployment or project
-
deploymentDeploymentRoleAssignment -
Assignments for roles with deployment scope.
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
allboolean -
When true, the role applies to all deployments in the organization, otherwise the role is scoped to the deployments specified in
deployment_ids. -
deployment_idsstring -
The IDs of the deployments the role is scoped to. Must be absent if
allis true, and present ifallis false. -
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to the deployment(s) specified in the role assignment.
-
projectProjectRoleAssignments -
Assignments for roles with project scope.
-
elasticsearchProjectRoleAssignment -
The Elasticsearch project-scoped role assignments to set
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
allboolean -
When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in
project_ids. -
project_idsstring -
The IDs of the projects the role is scoped to. Must be absent if
allis true, and present ifallis false. -
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
-
observabilityProjectRoleAssignment -
The Observability project-scoped role assignments to set
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
allboolean -
When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in
project_ids. -
project_idsstring -
The IDs of the projects the role is scoped to. Must be absent if
allis true, and present ifallis false. -
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
-
securityProjectRoleAssignment -
The Security project-scoped role assignments to set
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
allboolean -
When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in
project_ids. -
project_idsstring -
The IDs of the projects the role is scoped to. Must be absent if
allis true, and present ifallis false. -
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
-
workplaceaiProjectRoleAssignment -
The WorkplaceAI project-scoped role assignments to set
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
allboolean -
When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in
project_ids. -
project_idsstring -
The IDs of the projects the role is scoped to. Must be absent if
allis true, and present ifallis false. -
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
-
vectordbProjectRoleAssignment -
The VectorDB project-scoped role assignments to set
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
allboolean -
When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in
project_ids. -
project_idsstring -
The IDs of the projects the role is scoped to. Must be absent if
allis true, and present ifallis false. -
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
Invitation not found. (code: organization.invitation_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response